> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Instances Endpoint

> This will retrieve the entire existing provisioned structure of organizations and instances within the CYRISMA platform.

Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json get /partner/instances/info
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/instances/info:
    get:
      tags:
        - Instances
      summary: Get Instances Endpoint
      description: "This will retrieve the entire existing provisioned structure of organizations and instances within the CYRISMA platform.\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: GetInstances
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
        - name: instance_id
          in: query
          schema:
            type: string
          description: Optional instance ID to get information for a specific instance.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SubordinateInstanceInfoWithTree'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
components:
  schemas:
    SubordinateInstanceInfoWithTree:
      title: Subordinate Instance Info
      type: object
      properties:
        instance_id:
          title: Instance ID
          type:
            - string
            - 'null'
          description: The unique identifier for the instance.
        name:
          title: Name
          type:
            - string
            - 'null'
          description: The name of the instance.
        short_name:
          title: Short Name
          type:
            - string
            - 'null'
          description: The short name of the instance.
        parent_id:
          title: Parent ID
          type:
            - string
            - 'null'
          description: The unique identifier for the parent instance.
        hierarchy:
          title: Hierarchy
          type:
            - string
            - 'null'
          description: The hierarchical tree structure of the instance.
        instance_type:
          title: Instance Type
          type:
            - string
            - 'null'
          description: >-
            The type of the instance and indicates if this is an organization
            (usually an MSP, or MSSP) or an end instance (indicated as
            'standard').
        is_consulting:
          title: Is Consulting
          type: boolean
          description: >-
            Indicates whether the instance is a trial (generally used during a
            consulting engagement) or a month-to-month instance.
        number_of_endpoints:
          title: Number of Endpoints
          type: integer
          description: The number of endpoints associated with the instance.
          format: int32
        url:
          title: Number of Users
          type:
            - string
            - 'null'
          description: The number of users associated with the instance.
        tenant_id:
          title: Tenant ID
          type:
            - string
            - 'null'
          description: The tenant identifier associated with the instance.
        agent_key:
          title: Agent Key
          type:
            - string
            - 'null'
          description: The agent key associated with the instance.
        mfa:
          title: MFA
          type:
            - string
            - 'null'
          description: The MFA settings associated with the instance.
      additionalProperties: false
      description: Represents information about a subordinate instance.
    ErrorJson:
      title: Error Response
      type: object
      properties:
        error:
          title: Error Code
          type:
            - string
            - 'null'
          description: The error code representing the type of error.
        error_description:
          title: Error Description
          type:
            - string
            - 'null'
          description: A detailed description of the error.
      additionalProperties: false
      description: Represents an error response with error code and description.

````